Skip to main content
GET
/
asset
List assets
curl --request GET \
  --url https://lightswap.me/api/partner/v1/asset \
  --header 'x-api-key: <api-key>'
{
  "generatedAt": "2026-04-19T10:00:00.000Z",
  "assets": [
    {
      "symbol": "USDT",
      "name": "Tether USD",
      "network": "tron",
      "decimals": 6,
      "contractAddress": "TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t",
      "logoUrl": "/token/usdt.png",
      "canSend": true,
      "canReceive": true,
      "requiresMemo": false
    }
  ]
}

Authorizations

x-api-key
string
header
required

API key. Keep this key on your backend.

Query Parameters

network
string

Optional canonical lowercase network filter, for example tron or bitcoin.

Example:

"tron"

symbol
string

Optional token symbol filter.

Example:

"USDT"

Response

Active assets.

generatedAt
string<date-time>
required
assets
object[]
required